//+------------------------------------------------------------------+
//|                                  #Soho_Price_Vs_Chinkou_Histo.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 1

#property  indicator_buffers 3
#property  indicator_color1  Yellow
#property  indicator_color2  Red
#property  indicator_color3  Blue
#property indicator_width1 4
#property indicator_width2 4

#property indicator_width3 4


//---- indicator parameters      
 int Tenkan=8;
extern int Chinkou=24;
 int Senkou=48;
//extern int Chinkou=24;

//---- indicator buffers
double   ExtBuffer1[];
double   ExtBuffer2[];
double   ExtBuffer3[];

//+------------------------------------------------------------------+
//| Custom indi
//cator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {//----//---- drawing settings

   SetIndexStyle (0,DRAW_HISTOGRAM, EMPTY,4,Yellow);
   SetIndexBuffer(0,ExtBuffer1);
   SetIndexStyle (1,DRAW_HISTOGRAM, EMPTY,4,Red);
   SetIndexBuffer(1,ExtBuffer2); 
   SetIndexStyle (2,DRAW_HISTOGRAM, EMPTY,4,Blue);
   SetIndexBuffer(2,ExtBuffer3); 
   
  IndicatorShortName("Soho_Price_Vs_Chinkou_Histo , Chinkou "+Chinkou+" ");
   SetIndexLabel(0,"Bullish : Chinkou ABOVE Price");
  SetIndexLabel(1,"Bearish : Chinkou BELOW Price");
  SetIndexLabel(2,"Inside : Chinkou INSIDE Price");
   
//---- initialization done
   
   
  
  
//----
   return(0);
  }


  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- macd counted in the 1st buffer

   for(int i=0; i<limit; i++)
     
       if (iMA(NULL,0,1,0,0,2,i) < iMA(NULL,0,1,0,0,3,i+Chinkou))//&& iMA(NULL,0,1,0,0,0,i) < iMA(NULL,0,1,0,0,3,i+Kijun))
        {
        ExtBuffer2[i]=1;  //rouge         
        }
       else 
       if (iMA(NULL,0,1,0,0,3,i) > iMA(NULL,0,1,0,0,2,i+Chinkou))//&& iMA(NULL,0,1,0,0,0,i) > iMA(NULL,0,1,0,0,3,i+Kijun))
        {            
                ExtBuffer1[i]=1;           
        }
       else 
        
        ExtBuffer3[i]=1;
        
       
      
   return(0);
  }
//+------------------------------------------------------------------+